=== debian/changelog ===
confetti (20120731-1) unstable; urgency=low

  * Initial release. (Closes: #683485)

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 31 Jul 2012 16:32:27 +0400
