=== debian/control ===
Source: confetti
Section: devel
Priority: optional
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Build-Depends: cdbs, debhelper, bison, flex, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
Homepage: https://github.com/mailru/confetti

Package: confetti
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: configuration file parser generator
 The utility generates C-code by config template.
 The code parses Your application config file and creates
 C-structures that can be used by Your program.
