=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

package	 := $(shell dpkg-parsechangelog|grep ^Source  | awk '{print $$2}')
version	 := $(shell dpkg-parsechangelog|grep ^Version | awk '{print $$2}')
uversion := $(shell echo $(version)|sed 's/-[[:digit:]]\+$$//')



build/confetti::
	make
	make test
	pod2man --section=1 \
		--center='configuration file parser generator' \
		--name=confetti \
		debian/confetti.pod > confetti.1

clean::
	make clean
	rm -f confetti.1

tarball: clean
	cd .. && tar \
		--exclude=.git \
		--exclude=debian \
		-czvf $(package)_$(uversion).orig.tar.gz $(package)-$(uversion)
